Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365899 - Missing dependency of python-oslo-log and python-oslo-policy in openstack-cinder
Summary: Missing dependency of python-oslo-log and python-oslo-policy in openstack-cinder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: async
: 7.0 (Kilo)
Assignee: Eric Harney
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 12:49 UTC by Ondrej
Modified: 2018-02-08 11:25 UTC (History)
5 users (show)

Fixed In Version: openstack-cinder-2015.1.3-9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 22:56:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0282 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Description Ondrej 2016-08-10 12:49:06 UTC
Description of problem:
Hi,
oslo_log is being used by a lot of parts in openstack-cinder:

# grep -R oslo_log /usr/lib/python2.7/site-packages/cinder | grep -v Binary | wc -l
256

python-oslo-log is not a dependency in the spec file:
# grep Requires openstack-cinder.spec  |grep oslo
BuildRequires:    python-oslo-sphinx
Requires:         python-oslo-config >= 1:1.2.0
Requires:         python-oslo-db >= 1.0.0
Requires:         python-oslo-rootwrap
Requires:         python-oslo-utils
Requires:         python-oslo-serialization
Requires:         python-oslo-db
Requires:         python-oslo-context
Requires:         python-oslo-concurrency
Requires:         python-oslo-middleware
Requires:         python-oslo-messaging >= 1.8.0


Also it seems, python-oslo-policy is necessary to run cinder-manage:

su -s /bin/sh -c "cinder-manage db sync"

with the next error message:

ImportError: No module named oslo_policy

The cinder-manage command has these dependencies and belongs to openstack-cinder-2015.1.3-5.el7ost.noarch package:

[compute@cvs1pci01 ~]$ rpm -qf `which cinder-manage`
openstack-cinder-2015.1.3-5.el7ost.noarch

However, we were not able to prove python-oslo-policy:
* oslo_policy gets not imported from python-cinder:
# grep -R oslo /usr/lib/python2.7/site-packages/cinder* | grep oslo_policy

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 lkuchlan 2016-12-05 13:44:08 UTC
Tested using: 
openstack-cinder-2015.1.3-11.el7ost.noarch

Verification flow:

[root@dhcp88-142 ~(keystone_admin)]# rpm -qa | grep oslo-policy
python-oslo-policy-0.3.1-1.el7ost.noarch

Comment 5 Edu Alcaniz 2016-12-23 09:26:52 UTC
Do we have date of deliver the Errata?

Comment 6 lkuchlan 2017-01-17 13:56:06 UTC
(In reply to Edu Alcaniz from comment #5)
> Do we have date of deliver the Errata?

As far as I know the release date is on 2017-Jan-18 (custom)

Comment 8 errata-xmlrpc 2017-02-15 22:56:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.